summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/post_build_deploy_archives.sh
diff options
context:
space:
mode:
authorDave Wallace <dwallacelf@gmail.com>2021-04-06 17:08:21 -0400
committerDave Wallace <dwallacelf@gmail.com>2021-04-08 15:25:26 -0400
commit221efe6a33aa75e8359f46fdb016500bbcbd3fa4 (patch)
tree872159ea0f8bd6bca0ec621f09ebaa41e71a2c51 /jjb/scripts/post_build_deploy_archives.sh
parentc4e8e46c32d009445bcc064218597c01e94147bb (diff)
Use fdio-infra-publish for nomad executor based jobs
- Separate post build executor info dump into its own script file. - Remove backup_upload_archives.sh from fdio-infra-shiplogs which is now only used for openstack executors. - Add setup_executor_env.sh to run first for all jobs which run on nomad/dockerhub images. Change-Id: I564201b8c578e6541152e6af74537d1d007ba1a7 Signed-off-by: Dave Wallace <dwallacelf@gmail.com>
Diffstat (limited to 'jjb/scripts/post_build_deploy_archives.sh')
-rwxr-xr-xjjb/scripts/post_build_deploy_archives.sh30
1 files changed, 8 insertions, 22 deletions
diff --git a/jjb/scripts/post_build_deploy_archives.sh b/jjb/scripts/post_build_deploy_archives.sh
index b7e7cec4..79fa05a1 100755
--- a/jjb/scripts/post_build_deploy_archives.sh
+++ b/jjb/scripts/post_build_deploy_archives.sh
@@ -19,20 +19,6 @@ set +e # Do not affect the build result if some part of archiving fails.
WS_ARCHIVES_DIR="$WORKSPACE/archives"
BUILD_ENV_LOG="$WS_ARCHIVES_DIR/_build-enviroment-variables.log"
-# Output executor runtime attributes [again] in case the job fails prior to
-# running setup_executor_env.sh
-long_line="************************************************************************"
-OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-OS_ARCH=$(uname -m)
-echo "$long_line"
-echo "Executor Runtime Attributes:"
-echo "OS: $OS_ID-$OS_VERSION_ID"
-echo "Arch: $OS_ARCH"
-echo "Nomad Hostname: $(grep search /etc/resolv.conf | cut -d' ' -f2 | head -1)"
-echo "Container ID: $(hostname)"
-echo "$long_line"
-
# Generate gdb-command script to output vpp stack traceback from core files.
gdb_cmdfile="/tmp/gdb-commands"
cat >$gdb_cmdfile <<'__END__'
@@ -83,21 +69,17 @@ generate_vpp_stacktrace_and_delete_core() {
fi
}
-# Delete existing archives dir to ensure current artifact upload
-rm -rf "$WS_ARCHIVES_DIR"
mkdir -p "$WS_ARCHIVES_DIR"
# Log the build environment variables
echo "Logging build environment variables in '$BUILD_ENV_LOG'..."
env > $BUILD_ENV_LOG
-echo "WS_ARCHIVE_ARTIFACTS = '$WS_ARCHIVE_ARTIFACTS'"
-if [ -n "${WS_ARCHIVE_ARTIFACTS}" ]; then
+echo "ARCHIVE_ARTIFACTS = '$ARCHIVE_ARTIFACTS'"
+if [ -n "${ARCHIVE_ARTIFACTS:-}" ] ; then
pushd $WORKSPACE
shopt -s globstar # Enable globstar to copy archives
- archive_artifacts=$(echo ${WS_ARCHIVE_ARTIFACTS})
- shopt -u globstar # Disable globstar
- for file in $archive_artifacts; do
+ for file in $ARCHIVE_ARTIFACTS ; do
if [ -f "$file" ] ; then
fname="$(basename $file)"
# Decompress core.gz file
@@ -121,11 +103,15 @@ if [ -n "${WS_ARCHIVE_ARTIFACTS}" ]; then
echo "Archiving '$file' to '$destfile'"
destdir="$(dirname $destfile)"
mkdir -p $destdir
- mv $file $destfile
+ mv -f $file $destfile
else
echo "Not archiving '$file'"
+ if ! grep -qe '*' <<<"$file" ; then
+ echo "WARNING: No artifacts detected in ARCHIVE_ARTIFACTS '$ARCHIVE_ARTIFACTS'!"
+ fi
fi
done
+ shopt -u globstar # Disable globstar
popd
fi